Subject: Re: [Ietf-languages] Fwd: I-D Action: draft-msporny-d-langtag-ext-00.txt
From: John Cowan <[email-masked]>
To: Martin J. Dürst <[email-masked]>
Cc: Manu Sporny <[email-masked]>,Mark Davis ☕️ <[email-masked]>, Doug Ewell <[email-masked]>, "Phillips, Addison" <[email-masked]>, IETF Languages Discussion <[email-masked]>
Date: Wed, 29 May 2019 17:56:14 -0400
List-Id: <ietf-languages.ietf.org>

On Wed, May 29, 2019 at 3:20 AM Martin J. Dürst <[email-masked]>
wrote:

Again a small issue. My personal understanding is that directionality is
> needed only for mixed directional stuff, and that's as in mixing LTR and
> RTL. Vertical writing is at a higher level.
>

Bidirectionality does in fact exist in vertical writing:  when a horizontal
script
is embedded into CJK or Mongolian (which are written downwards),
Latin and similar scripts appear rotated 90 degrees clockwise and are
written downwards also, but Arabic appears rotated 90 degrees
counterclockwise and is written and read upwards.

(This means that in Arabic in Mongolian, the ancestral Aramaic letters
that underlie Mongolian are upside down from the Arabic perspective.
Mongolian writing evolved from RTL writing by turning the page;
it is common for RTL writers to write vertically while still reading
horizontally.)

>> 5. Given #4, the lack of a registry for the proposed extension, or
> >> even the mention of one, is a significant problem. The set of exactly
> >> 3 values associated with this extension ('ltr', 'rtl', and 'auto')
> >> would be fixed; adding to it would require updating the RFC, which is
> >> much more work than updating a registry.
>
> > Sure, we can add a registry, I can make that change in the next version
> > once it becomes clear that the proposal has merit and won't be rejected
> > by this or the W3C i18n community.
>
> This is again a small issue. I think it's good to have a registry if
> additions can be easily envisioned, but I can't imagine the need for any
> additions soon. And please note that an updating RFC could essentially
> only contain the new tags. It doesn't have to repeat the text in the
> original RFC.
>
>
> >> Without these issues being addressed in a satisfactory way, I would
> >> lobby IETF not to approve this I-D.
> >>
> >> I don't see that there is any reason to approve it, given that it is,
> >> as far as I can tell, completely unnecessary and would just
> >> complicate implementer's lives to no good end.
> >
> > Given the new information above (links to use cases, background
> > discussion), are you still of the opinion that there is no need for the
> > extension?
>
> The extension might be okay if your community can convince us that this
> extension will be strictly limited to those formats (and instances)
> where it's really needed, and that it's stripped or transferred to other
> syntactic elements (e.g. dir attribute for HTML) when that's more
> appropriate.
>
> Regards,   Martin.
> _______________________________________________
> Ietf-languages mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-languages
>